MWAWGraphicListenerInternal::State Struct Reference

the state of a MWAWGraphicListener More...

## Public Member Functions

| State ()
| constructor
| ~State ()
| destructor
bool | isInTextZone () const
| returns true if we are in a text zone, ie. either in a textbox or a table cell

## Public Attributes

MWAWVec2f | m_origin
| the origin position
librevenge::RVNGString | m_textBuffer
| a buffer to stored the text
MWAWFont | m_font
| the font
MWAWParagraph | m_paragraph
| the paragraph
std::shared_ptr< MWAWList > | m_list
| the list of list
bool | m_isFrameOpened
| a flag to know if openFrame was called
MWAWPosition | m_framePosition
| the frame position
MWAWGraphicStyle | m_frameStyle
| the frame style
bool | m_isTextBoxOpened
| a flag to know if we are in a textbox
bool | m_isGroupOpened
| a flag to know if openGroup was called
bool | m_isLayerOpened
| a flag to know if openLayer was called
bool | m_isSpanOpened
bool | m_isParagraphOpened
bool | m_isListElementOpened
bool | m_firstParagraphInPageSpan
std::vector< bool > | m_listOrderedLevels
bool | m_isTableOpened
| a stack used to know what is open
bool | m_isTableRowOpened
bool | m_isTableColumnOpened
bool | m_isTableCellOpened
unsigned | m_currentPage
int | m_numPagesRemainingInSpan
int | m_currentPageNumber
bool | m_inLink
bool | m_inNote
bool | m_inSubDocument
libmwaw::SubDocumentType | m_subDocumentType

## Private Member Functions

| State (const State &)=delete
State & | operator= (const State &)=delete

## Detailed Description

the state of a MWAWGraphicListener

## Constructor & Destructor Documentation

## State() [1/2]

MWAWGraphicListenerInternal::State::State | ( |  | ) |

constructor

Referenced by operator=(), and State().

## ~State()

MWAWGraphicListenerInternal::State::~State | ( |  | ) |

inline

destructor

## State() [2/2]

MWAWGraphicListenerInternal::State::State | ( | const State & |  | ) |

private delete

## Member Function Documentation

## isInTextZone()

bool MWAWGraphicListenerInternal::State::isInTextZone | ( |  | ) | const

inline

returns true if we are in a text zone, ie. either in a textbox or a table cell

## operator=()

State & MWAWGraphicListenerInternal::State::operator= | ( | const State & |  | ) |

private delete

## Member Data Documentation

## m_currentPage

unsigned MWAWGraphicListenerInternal::State::m_currentPage

Referenced by State().

## m_currentPageNumber

int MWAWGraphicListenerInternal::State::m_currentPageNumber

Referenced by State().

## m_firstParagraphInPageSpan

bool MWAWGraphicListenerInternal::State::m_firstParagraphInPageSpan

Referenced by State().

## m_font

MWAWFont MWAWGraphicListenerInternal::State::m_font

the font

Referenced by State().

## m_framePosition

MWAWPosition MWAWGraphicListenerInternal::State::m_framePosition

the frame position

Referenced by State().

## m_frameStyle

MWAWGraphicStyle MWAWGraphicListenerInternal::State::m_frameStyle

the frame style

Referenced by State().

## m_inLink

bool MWAWGraphicListenerInternal::State::m_inLink

Referenced by isInTextZone(), and State().

## m_inNote

bool MWAWGraphicListenerInternal::State::m_inNote

Referenced by isInTextZone(), and State().

## m_inSubDocument

bool MWAWGraphicListenerInternal::State::m_inSubDocument

Referenced by State().

## m_isFrameOpened

bool MWAWGraphicListenerInternal::State::m_isFrameOpened

a flag to know if openFrame was called

Referenced by State().

## m_isGroupOpened

bool MWAWGraphicListenerInternal::State::m_isGroupOpened

a flag to know if openGroup was called

Referenced by State().

## m_isLayerOpened

bool MWAWGraphicListenerInternal::State::m_isLayerOpened

a flag to know if openLayer was called

Referenced by State().

## m_isListElementOpened

bool MWAWGraphicListenerInternal::State::m_isListElementOpened

Referenced by State().

## m_isParagraphOpened

bool MWAWGraphicListenerInternal::State::m_isParagraphOpened

Referenced by State().

## m_isSpanOpened

bool MWAWGraphicListenerInternal::State::m_isSpanOpened

Referenced by State().

## m_isTableCellOpened

bool MWAWGraphicListenerInternal::State::m_isTableCellOpened

Referenced by isInTextZone(), and State().

## m_isTableColumnOpened

bool MWAWGraphicListenerInternal::State::m_isTableColumnOpened

Referenced by State().

## m_isTableOpened

bool MWAWGraphicListenerInternal::State::m_isTableOpened

a stack used to know what is open

Referenced by State().

## m_isTableRowOpened

bool MWAWGraphicListenerInternal::State::m_isTableRowOpened

Referenced by State().

## m_isTextBoxOpened

bool MWAWGraphicListenerInternal::State::m_isTextBoxOpened

a flag to know if we are in a textbox

Referenced by isInTextZone(), and State().

## m_list

std::shared_ptr<MWAWList> MWAWGraphicListenerInternal::State::m_list

the list of list

Referenced by State().

## m_listOrderedLevels

std::vector<bool> MWAWGraphicListenerInternal::State::m_listOrderedLevels

Referenced by State().

## m_numPagesRemainingInSpan

int MWAWGraphicListenerInternal::State::m_numPagesRemainingInSpan

Referenced by State().

## m_origin

MWAWVec2f MWAWGraphicListenerInternal::State::m_origin

the origin position

Referenced by State().

## m_paragraph

MWAWParagraph MWAWGraphicListenerInternal::State::m_paragraph

the paragraph

Referenced by State().

## m_subDocumentType

libmwaw::SubDocumentType MWAWGraphicListenerInternal::State::m_subDocumentType

Referenced by State().

## m_textBuffer

librevenge::RVNGString MWAWGraphicListenerInternal::State::m_textBuffer

a buffer to stored the text

Referenced by State().

The documentation for this struct was generated from the following file:

- MWAWGraphicListener.cxx